org.springframework.data.jdbc.repository.config

## Class DialectResolver.NoDialectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.data.jdbc.repository.config.DialectResolver.NoDialectException

All Implemented Interfaces:
  Serializable

Enclosing class:
  DialectResolver

    public static class DialectResolver.NoDialectException
    extends NonTransientDataAccessException

Exception thrown when `DialectResolver` cannot resolve a `Dialect`.

See Also:
  Serialized Form

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`